Question

AHV MCS Plugin 2.5.1.0 and Citrix 7.1906.2

  • 3 February 2020
  • 2 replies
  • 2456 views

Having an issue updating the Nutanix AHV MCS Plugin. I have a Citrix farm that has been upgraded to 7.1906 and I downloaded the latest AHV MCS plugin 2.5.1.0 from Dec 2019. When executing the msi it recognizes the previous version and states it will update. then the install fails saying Citrix XenDesktop 7.9 or higher is required. This farm was previously 7.15 CU3. I also tried to uninstall the Nutanix Acropolis MCS Plugin version 1.0.0.0 that is on the server and it fails to uninstall as well with same message. 
Any helpful hints or suggestions appreciated. 


2 replies

Hi,

  • If you have previously installed an earlier version of Nutanix AHV Plug-in for Citrix Director, you must first uninstall the earlier version and then install the latest version. To uninstall Nutanix AHV Plug-in for Citrix Director, see Uninstalling Nutanix AHV Plug-in for Citrix Director.
  • If you want to uninstall Citrix Director, you must first uninstall the plug-in before you uninstall Citrix Director, because the Nutanix AHV Plug-in for Citrix Director installer deploys files in the installation directory of the Citrix Director.

 

What steps did you follow to uninstall the plug-in?

You could try to perform the following procedure to uninstall Nutanix AHV Plug-in for Citrix Director.

  1. On the host where the plug-in is installed, go to Start > Control Panel > Program and Features.
  2. Select Nutanix AHV Plug-in for Citrix Director and then click Uninstall.

Uninstall the Nutanix Plug-in first before you upgrade your Citrix Farm

 

Update: The Delivery Controller (not Director, we have that on separate servers) had the AHV PCS Plugin version 1.0.0.0 installed when the Citrix was upgraded to 7.1906. The attempts to uninstall this version would fail with an error saying citrix version 7.9 or higher required. any attempts to install latest plugin resulted in same error. 

Resolved by searching the registry for any key or data containing “" Nutanix AHV plugin for Citrix XenDesktop”, deleting any found. was then able to install the latest version of plugin. 

Reply